﻿
@{
    ViewBag.Title = "Importar";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Importar</h2>

<div>
    @using (Html.BeginForm("Importar", "Advogado", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        <input name="uploadFile" type="file"/>
        <br />
        <input type="submit" value="Importar Arquivo" title="Importar Arquivo" onclick="return (CheckFileName())" class="btn btn-default" />
    }
</div>

@section VerificarExtensaoExcel {
    <script type="text/javascript">
        function CheckFileName() {
            var fileName = document.getElementById("uploadFile").value
            alert(filename);
            if (fileName == "") {
                alert("Browse to upload a valid File with xls / xlsx extension");
                return false;
            }
            else if (fileName.split(".")[1].toUpperCase() == "XLS" || fileName.split(".")[1].toUpperCase() == "XLSX")
                return true;
            else {
                alert("File with " + fileName.split(".")[1] + " is invalid. Upload a validfile with xls / xlsx extensions");
                return false;
            }
            return true;
        }
</script>
}


